## texstudio 2.6.6+debian

=== quazip/CMakeLists.txt ===
project (QuaZip)
cmake_minimum_required(VERSION 2.6)

set(qt_min_version "4.5.0")
find_package(Qt4 REQUIRED)
set(QT_USE_QTGUI false)
include(${QT_USE_FILE})

# Use system zlib on unix and Qt ZLIB on Windows
IF(UNIX)
	find_package(ZLIB REQUIRED)
ELSE(UNIX)
	SET(ZLIB_INCLUDE_DIRS "${QT_ROOT}/src/3rdparty/zlib" CACHE STRING "Path to ZLIB headers of Qt")
	SET(ZLIB_LIBRARIES "")
	IF(NOT EXISTS "${ZLIB_INCLUDE_DIRS}/zlib.h")
		MESSAGE("Please specify a valid zlib include dir")
	ENDIF(NOT EXISTS "${ZLIB_INCLUDE_DIRS}/zlib.h")
ENDIF(UNIX)

# All build libraries are moved to this directory
SET(LIBRARY_OUTPUT_PATH ${CMAKE_BINARY_DIR})

set(LIB_SUFFIX "" CACHE STRING "Define suffix of directory name (32/64)")
set(LIB_DESTINATION "${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}" CACHE STRING "Library directory name" FORCE)

add_subdirectory(quazip)

install(FILES FindQuaZip.cmake DESTINATION ${CMAKE_ROOT}/Modules)

=== quazip/quazip/CMakeLists.txt ===
# set all include directories for in and out of source builds
include_directories(
	${CMAKE_CURRENT_SOURCE_DIR}
	${CMAKE_CURRENT_BINARY_DIR}
	${ZLIB_INCLUDE_DIRS}
)

# include with QT_USE selected library parts
INCLUDE(${QT_USE_FILE})

file(GLOB SRCS "*.c" "*.cpp")
file(GLOB PUBLIC_HEADERS "*.h")

# Must be added to enable export macro
ADD_DEFINITIONS(-DQUAZIP_BUILD)

qt4_wrap_cpp(MOC_SRCS ${PUBLIC_HEADERS})
set(SRCS ${SRCS} ${MOC_SRCS})

add_library(quazip SHARED ${SRCS})
set_target_properties(quazip PROPERTIES VERSION 1.0.0 SOVERSION 1)
# Link against ZLIB_LIBRARIES if needed (on Windows this variable is empty)
target_link_libraries(quazip ${QT_QTMAIN_LIBRARY} ${QT_QTCORE_LIBRARY} ${ZLIB_LIBRARIES})

install(FILES ${PUBLIC_HEADERS} DESTINATION include/quazip)
install(TARGETS quazip LIBRARY DESTINATION ${LIB_DESTINATION} ARCHIVE DESTINATION ${LIB_DESTINATION} RUNTIME DESTINATION ${LIB_DESTINATION})

=== quazip/doc/latex/Makefile ===
all: refman.dvi

ps: refman.ps

pdf: refman.pdf

ps_2on1: refman_2on1.ps

pdf_2on1: refman_2on1.pdf

refman.ps: refman.dvi
	dvips -o refman.ps refman.dvi

refman.pdf: refman.ps
	gswin32c -q -dNOPAUSE -dBATCH -sDEVICE=pdfwrite -sOutputFile=refman.pdf -c save pop -f refman.ps

refman.dvi: clean refman.tex doxygen.sty
	echo "Running latex..."
	latex refman.tex
	echo "Running makeindex..."
	makeindex refman.idx
	echo "Rerunning latex...."
	latex refman.tex
	latex_count=5 ; \
	while egrep -s 'Rerun (LaTeX|to get cross-references right)' refman.log && [ $$latex_count -gt 0 ] ;\
	    do \
	      echo "Rerunning latex...." ;\
	      latex refman.tex ;\
	      latex_count=`expr $$latex_count - 1` ;\
	    done

refman_2on1.ps: refman.ps
	psnup -2 refman.ps >refman_2on1.ps

refman_2on1.pdf: refman_2on1.ps
	gswin32c -q -dNOPAUSE -dBATCH -sDEVICE=pdfwrite -sOutputFile=refman_2on1.pdf -c save pop -f refman_2on1.ps

clean:
	del /s/y *.ps *.dvi *.aux *.toc *.idx *.ind *.ilg *.log *.out refman.pdf

## texstudio 2.3+debian

=== debian/changelog ===
texstudio (2.3+debian-4) unstable; urgency=low

  * Adding patch to prevent needless latex run when no bib-files are referenced
    (Closes: #688558).
  * Adding patch to set the default value of "automatically run 'latex, bibtex,
    latex' if bib-files were changed" to disabled.
  * Adding patch to make 'pdflatex, viewpdf' the default quick build option.
  * Adding patch to prevent the config file from growing by unnecessary
    whitespace.
  * Adding patch to disable the riddle asked when accessing advanced
    configuration options.

 -- Tom Jampen <tom@cryptography.ch>  Sat, 20 Oct 2012 12:21:07 +0200

texstudio (2.3+debian-3) unstable; urgency=low

  * Adding build-dependency on zlib1g-dev (Closes: #678583).

 -- Tom Jampen <tom@cryptography.ch>  Sun, 24 Jun 2012 13:26:15 +0200

texstudio (2.3+debian-2) unstable; urgency=low

  * Fixing typo in source URL in copyright file.
  * Improving watch file.
  * Adding build-dependency on pkg-config (Closes: #675497).

 -- Tom Jampen <tom@cryptography.ch>  Fri, 15 Jun 2012 21:03:17 +0200

texstudio (2.3+debian-1) unstable; urgency=low

  * Initial realease.
  * Rebuilding upstream tarball without:
    - conflicting debian directory
    - unused include_win32 directory
    - unused hunspell directory
    - unused dictionary and thesaurus files

 -- Tom Jampen <tom@cryptography.ch>  Mon, 14 May 2012 16:36:52 +0200

=== debian/control ===
Source: texstudio
Section: editors
Priority: optional
Maintainer: Tom Jampen <tom@cryptography.ch>
Build-Depends: debhelper (>= 9), libhunspell-dev, libpoppler-qt4-dev,
 pkg-config, qt4-qmake, zlib1g-dev
Standards-Version: 3.9.3
Homepage: http://texstudio.sf.net/

Package: texstudio
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends:
 texlive-base, texlive-latex-base, texlive-latex-recommended
Suggests:
 hunspell-dictionary, latex-beamer, mythes-thesaurus, texlive-fonts-recommended,
 texlive-latex-extra
Description: Latex Editor
 TeXstudio is a program based on Texmaker, which integrates many tools needed
 to develop documents with LaTeX in just one application. Using its editor you
 can write your documents with the help of interactive spell checking, syntax
 highlighting, code completion and more...

Package: texstudio-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends}, texstudio (= ${binary:Version})
Description: Latex Editor (debug)
 TeXstudio is a program based on Texmaker, which integrates many tools needed
 to develop documents with LaTeX in just one application. Using its editor you
 can write your documents with the help of interactive spell checking, syntax
 highlighting, code completion and more...
 .
 This package contains the debugging symbols.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh ${@}

override_dh_auto_install:
	dh_auto_install

	# change AUTHORS file to CREDITS
	tail -n +2 debian/tmp/usr/share/texstudio/AUTHORS > \
	debian/tmp/usr/share/texstudio/CREDITS

	# moving and renaming icons
	for SIZE in 16x16 22x22 32x32 48x48 64x64 128x128 ; do \
		mkdir -p debian/tmp/usr/share/icons/hicolor/$$SIZE/apps ; \
		mv -f debian/tmp/usr/share/texstudio/texstudio$$SIZE.png \
		debian/tmp/usr/share/icons/hicolor/$$SIZE/apps/texstudio.png ; \
	done

	# removing useless files
	rm -f debian/tmp/usr/share/texstudio/CHANGELOG.txt
	rm -f debian/tmp/usr/share/texstudio/COPYING
	rm -f debian/tmp/usr/share/texstudio/AUTHORS
	rm -f debian/tmp/usr/share/texstudio/template_*.tex

override_dh_builddeb:
	dh_builddeb -- -Zxz -z9

override_dh_compress:
	dh_compress -X.html -X.png

override_dh_install:
	dh_install --fail-missing

override_dh_installchangelogs:
	dh_installchangelogs utilities/CHANGELOG.txt

override_dh_strip:
	dh_strip --dbg-package=texstudio-dbg

=== debian/watch ===
version=3
opts="dversionmangle=s/\+debian$//" \
http://sf.net/texstudio/texstudio-(.+)\.(?:tar\.gz|tar\.bz2|tar\.xz)

## texstudio 2.5.2+debian

=== debian/changelog ===
texstudio (2.5.2+debian-1) experimental; urgency=low

  * Merging upstream version 2.5.2+debian.
  * Regenerating 01-use-libhunspell.patch.
  * Regenerating 02-fix-desktop.patch.
  * Removing 03-fix-manpage-version.patch, fixed upstream.
  * Removing 04-mythes-path.patch, included upstream.
  * Removing 05-gcc4.7.patch, included upstream.
  * Removing 06-fix-auto-bibtex.patch, fixed upstream.
  * Removing 07-disable-auto-bibtex-option.patch, fixed upstream with new
    tex build system.
  * Removing 08-change-default-quickbuild-option.patch, fixed upstream
    with new tex build system.
  * Removing 09-trim-commands.patch, fixed upstream.
  * Removing 10-disable-riddle.patch, fixed upstream by displaying a
    useful text instead of the riddle.
  * Adding 03-disable-auto-update.patch in order to prevent automatic
    TeXstudio updates.
  * Correcting line break in control file.
  * Updating to standards version 3.9.4.
  * Installing uncompressed css files for TeXstudio's user manual.
  * Installing files for designating language specific words in TeXstudio
    that shouldn't be used.
  * Installing files containing language specific words that are
    designated as a repetition error in TeXstudio only if they are placed
    directly next to each other.
  * Installing latex template files to /usr/share/texstudio, needed for
    new template mechanism.
  * Fixing watch file as proposed by Bart Martens <bartm@debian.org>, but
    keeping version mangle.
  * Fixing wrong permissions of spanish TeXstudio translation file.
  * Updating year in copyright file.
  * Adding new TeXstudio authors to copyright file.
  * Fixing typo in old changelog entry.
  * Rebuilding upstream tarball without:
    - conflicting debian directory
    - unused include_win32 directory
    - unused hunspell directory
    - unused dictionary and thesaurus files
    - unused TexTablet directory
    - unused poppler-data directory

 -- Tom Jampen <tom@cryptography.ch>  Mon, 18 Mar 2013 11:19:14 +0100

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,10 @@
 Section: editors
 Priority: optional
 Maintainer: Tom Jampen <tom@cryptography.ch>
-Build-Depends: debhelper (>= 9), libhunspell-dev, libpoppler-qt4-dev,
- pkg-config, qt4-qmake, zlib1g-dev
-Standards-Version: 3.9.3
+Build-Depends:
+ debhelper (>= 9), libhunspell-dev, libpoppler-qt4-dev, pkg-config, qt4-qmake,
+ zlib1g-dev
+Standards-Version: 3.9.4
 Homepage: http://texstudio.sf.net/
 
 Package: texstudio

=== debian/rules ===
--- 
+++ 
@@ -21,19 +21,26 @@
 	rm -f debian/tmp/usr/share/texstudio/CHANGELOG.txt
 	rm -f debian/tmp/usr/share/texstudio/COPYING
 	rm -f debian/tmp/usr/share/texstudio/AUTHORS
-	rm -f debian/tmp/usr/share/texstudio/template_*.tex
 
 override_dh_builddeb:
 	dh_builddeb -- -Zxz -z9
 
 override_dh_compress:
-	dh_compress -X.html -X.png
+	dh_compress -X.html -X.css -X.png
 
 override_dh_install:
 	dh_install --fail-missing
 
+	# removing latex template images
+	# (not needed by the usermanual but installed with its images)
+	rm -f debian/texstudio/usr/share/doc/texstudio/html/*template_*.png
+
 override_dh_installchangelogs:
 	dh_installchangelogs utilities/CHANGELOG.txt
 
+override_dh_fixperms:
+	dh_fixperms
+	chmod 0644 debian/texstudio/usr/share/texstudio/texstudio_es.qm
+
 override_dh_strip:
 	dh_strip --dbg-package=texstudio-dbg

## texstudio 2.6.0+debian

=== debian/changelog ===
texstudio (2.6.0+debian-1) unstable; urgency=low

  * Merging upstream version 2.6.0+debian:
    - Fixes FTBFS on several architectures ("error: 'REG_EIP' was not declared
      in this scope") (Closes: #705820).
  * Regenerating 01-use-libhunspell.patch.
  * Updating 02-fix-desktop.patch to also remove no longer needed encoding
    line.
  * Fixing indentation in 03-disable-auto-update.patch.
  * Adding 04-string-format-security.patch in order to fix a format-
    security compile error.
  * Removing fix for wrong permissions of spanish TeXstudio translation
    file from rules.
  * Adding new files in directory quazip to copyright file.
  * Adding zipped latex templates to texstudio.install file.
  * Adding get-orig-source target to rules file.
  * Overriding dh_auto_configure in order to suppress automated tests when
    starting TeXstudio after installing/upgrading (LP: #1154261).

 -- Tom Jampen <tom@cryptography.ch>  Tue, 18 Jun 2013 22:18:36 +0200

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,42 @@
 #!/usr/bin/make -f
+
+DEBIAN_DIR=$(dir $(firstword $(MAKEFILE_LIST)))
+UPSTREAM_VERSION=$(shell dpkg-parsechangelog -l$(DEBIAN_DIR)/changelog \
+                   | sed -rne 's,^Version: ([^-+]+).*,\1,p')
 
 %:
 	dh ${@}
+
+get-orig-source:
+	uscan --noconf --download --force-download --rename --destdir=. \
+	--package texstudio --watchfile $(DEBIAN_DIR)/watch \
+	--upstream-version=$(UPSTREAM_VERSION)
+	mkdir tmp-source
+	tar xzf texstudio_$(UPSTREAM_VERSION).orig.tar.gz -C tmp-source
+	rm -f texstudio_$(UPSTREAM_VERSION).orig.tar.gz
+	tar cJf texstudio_$(UPSTREAM_VERSION)+debian.orig.tar.xz -C tmp-source \
+	--exclude="hunspell/*" \
+	--exclude="hunspell" \
+	--exclude="debian/*" \
+	--exclude="debian" \
+	--exclude="include_win32/*" \
+	--exclude="include_win32" \
+	--exclude="qt_*.qm" \
+	--exclude="qt_*.ts" \
+	--exclude="utilities/dictionaries/*.aff" \
+	--exclude="utilities/dictionaries/*.dic" \
+	--exclude="utilities/dictionaries/th_*_v2.dat" \
+	--exclude="utilities/dictionaries/README_*.txt" \
+	--exclude="utilities/dictionaries/README_*.TXT" \
+	--exclude="utilities/TexTablet/*" \
+	--exclude="utilities/TexTablet" \
+	--exclude="utilities/poppler-data/*" \
+	--exclude="utilities/poppler-data" \
+	.
+	rm -rf tmp-source
+
+override_dh_auto_configure:
+	dh_auto_configure -- DEFINES+=NO_TESTS
 
 override_dh_auto_install:
 	dh_auto_install
@@ -38,9 +73,5 @@
 override_dh_installchangelogs:
 	dh_installchangelogs utilities/CHANGELOG.txt
 
-override_dh_fixperms:
-	dh_fixperms
-	chmod 0644 debian/texstudio/usr/share/texstudio/texstudio_es.qm
-
 override_dh_strip:
 	dh_strip --dbg-package=texstudio-dbg

## texstudio 2.6.2+debian

=== debian/changelog ===
texstudio (2.6.2+debian-2) unstable; urgency=low

  * Disabling the buggy texstudio crash handler in order to allow building
    on several archs (Closes: #705820).

 -- Tom Jampen <tom@cryptography.ch>  Thu, 15 Aug 2013 14:27:43 +0200

texstudio (2.6.2+debian-1) unstable; urgency=low

  * Merging upstream version 2.6.2+debian.
  * Removing 04-string-format-security.patch, fixed upstream.

 -- Tom Jampen <tom@cryptography.ch>  Sun, 11 Aug 2013 17:30:34 +0200

## texstudio 2.6.6+debian

=== debian/changelog ===
texstudio (2.6.6+debian-1) unstable; urgency=low

  * Merging upstream version 2.6.6+debian.
  * Regenerating 01-use-libhunspell.patch.
  * Regenerating 03-disable-auto-update.patch.
  * Adding 04-no-qt-translations.patch to remove qt translation files from
    texstudio.pro.
  * Adding 05-fix-poppler-qt5-path.patch to fix poppler-qt5 path in
    texstudio.pro.
  * Adding missing moderncv templates to copyright file.
  * Updating license information for qtsingleapplication due to upstream
    changes.
  * Sorting copyright file alphabetically.
  * Registering upstream html documentation with doc-base.
  * Updating to standards version 3.9.5.

 -- Tom Jampen <tom@cryptography.ch>  Fri, 22 Nov 2013 11:08:21 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends:
  debhelper (>= 9), libhunspell-dev, libpoppler-qt4-dev, pkg-config, qt4-qmake,
  zlib1g-dev
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://texstudio.sf.net/
 
 Package: texstudio

=== debian/rules ===
--- 
+++ 
@@ -36,7 +36,7 @@
 	rm -rf tmp-source
 
 override_dh_auto_configure:
-	dh_auto_configure -- DEFINES+=NO_TESTS
+	dh_auto_configure -- DEFINES+='NO_TESTS NO_CRASH_HANDLER'
 
 override_dh_auto_install:
 	dh_auto_install

=== debian/watch ===
version=3
opts="dversionmangle=s/\+debian$//" \
http://qa.debian.org/watch/sf.php/texstudio/texstudio[_\-](\d.*?)(?:\.orig)?\.(?:tgz|tbz2|tar\.(?:gz|bz2|xz))

## texstudio 2.8.0+debian

=== debian/changelog ===
texstudio (2.8.0+debian-2) unstable; urgency=medium

  * Fixing wrong date in changelog.
  * Enabling --as-needed linking.
  * Adding dependency on libqt4-svg as texstudio heavily uses svg icons (LP:
    #1332508).
  * Fixing capitalization error in package description.
  * Simplifying install files by removing unneeded destination directories.

 -- Tom Jampen <tom@cryptography.ch>  Wed, 30 Jul 2014 06:29:41 +0200

texstudio (2.8.0+debian-1) unstable; urgency=medium

  * Merging upstream version 2.8.0+debian.
  * Updating 01-use-libhunspell.patch.
  * Improving 03-disable-auto-update.patch to not only uncheck but disable the
    auto update checkbox.
  * Regenerating 04-no-qt-translations.patch.
  * Removing no longer needed 05-fix-poppler-qt5-path.patch.
  * Enabling parallel building, thanks to Pino Toscano <pino@debian.org> for
    the patch (Closes: #752269).
  * Improving get-orig-source target in rules file.
  * Updating get-orig-source target in rules file to remove unneeded new
    include_win32_qt5 directory from upstream tarball.
  * Adding AppStream support by installing upstream texstudio.appdata.xml.
  * Adding texstudio-doc and texstudio-l10n to texstudio's recommends.
  * Adding lintian-overrides for false positive and unfixable typo.
  * Updating years in copyright file.
  * Adding build dependency on libsynctex-dev.
  * Adding 05-use-libsynctex.patch in order to use libsynctex instead of
    embedded synctex files, thanks to Sebastian Ramacher <sramacher@debian.org>
    for the patch (Closes: #753806).
  * Rebuilding upstream tarball without:
    - conflicting debian directory
    - unused hunspell directory
    - unused include_win32 directory
    - unused include_win32_qt5 directory
    - unused qt translations
    - unused dictionary and thesaurus files
    - unused TexTablet directory
    - unused poppler-data directory

 -- Tom Jampen <tom@cryptography.ch>  Fri, 11 Jul 2014 12:31:23 +0200

texstudio (2.7.0+debian-2) unstable; urgency=medium

  * Moving html documentation and latex templates to separate package.
  * Moving texstudio translations to separate package.
  * Adding missing sources for minified and combined quazip/doc/html/jquery.js.
  * Updating 02-fix-desktop.patch to add keywords entry to the desktop file.

 -- Tom Jampen <tom@cryptography.ch>  Tue, 22 Apr 2014 16:44:02 +0200

texstudio (2.7.0+debian-1) unstable; urgency=medium

  * Merging upstream version 2.7.0+debian.
  * Regenerating 01-use-libhunspell.patch.
  * Regenerating 03-disable-auto-update.patch.
  * Regenerating 04-no-qt-translations.patch.
  * Regenerating 05-fix-poppler-qt5-path.patch.
  * Fixing wrong license information for quazip in copyright file.
  * Updating year in copyright file.
  * Adding license information for the new latex reference manual to copyright
    file.
  * Updating the doc-base registration for the latex reference manual to point
    to the new html file.

 -- Tom Jampen <tom@cryptography.ch>  Fri, 18 Apr 2014 10:30:15 +0200

=== debian/control ===
Source: texstudio
Section: editors
Priority: optional
Maintainer: Tom Jampen <tom@cryptography.ch>
Build-Depends:
 debhelper (>= 9), libhunspell-dev, libpoppler-qt4-dev, libsynctex-dev,
 pkg-config, qt4-qmake, zlib1g-dev
Standards-Version: 3.9.5
Homepage: http://texstudio.sf.net/

Package: texstudio
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, libqt4-svg
Recommends:
 texlive-base, texlive-latex-base, texlive-latex-recommended, texstudio-doc,
 texstudio-l10n
Suggests:
 hunspell-dictionary, latex-beamer, mythes-thesaurus, texlive-fonts-recommended,
 texlive-latex-extra
Description: LaTeX Editor
 TeXstudio is a program based on Texmaker, which integrates many tools needed
 to develop documents with LaTeX in just one application. Using its editor you
 can write your documents with the help of interactive spell checking, syntax
 highlighting, code completion and more...

Package: texstudio-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends}, texstudio (= ${binary:Version})
Description: LaTeX Editor (debug)
 TeXstudio is a program based on Texmaker, which integrates many tools needed
 to develop documents with LaTeX in just one application. Using its editor you
 can write your documents with the help of interactive spell checking, syntax
 highlighting, code completion and more...
 .
 This package contains the debugging symbols.

Package: texstudio-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: LaTeX Editor (doc)
 TeXstudio is a program based on Texmaker, which integrates many tools needed
 to develop documents with LaTeX in just one application. Using its editor you
 can write your documents with the help of interactive spell checking, syntax
 highlighting, code completion and more...
 .
 This package contains the html documentation and the LaTeX templates.

Package: texstudio-l10n
Section: localization
Architecture: all
Depends: ${misc:Depends}, texstudio (>= ${source:Version})
Description: LaTeX Editor (localization)
 TeXstudio is a program based on Texmaker, which integrates many tools needed
 to develop documents with LaTeX in just one application. Using its editor you
 can write your documents with the help of interactive spell checking, syntax
 highlighting, code completion and more...
 .
 This package contains the following translations: cs, de, es, fr, hu, it, ja,
 pt_BR, ru, uk, zh_CN.

=== debian/rules ===
--- 
+++ 
@@ -1,11 +1,13 @@
 #!/usr/bin/make -f
+
+export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed
 
 DEBIAN_DIR=$(dir $(firstword $(MAKEFILE_LIST)))
 UPSTREAM_VERSION=$(shell dpkg-parsechangelog -l$(DEBIAN_DIR)/changelog \
                    | sed -rne 's,^Version: ([^-+]+).*,\1,p')
 
 %:
-	dh ${@}
+	dh ${@} --parallel
 
 get-orig-source:
 	uscan --noconf --download --force-download --rename --destdir=. \
@@ -15,23 +17,19 @@
 	tar xzf texstudio_$(UPSTREAM_VERSION).orig.tar.gz -C tmp-source
 	rm -f texstudio_$(UPSTREAM_VERSION).orig.tar.gz
 	tar cJf texstudio_$(UPSTREAM_VERSION)+debian.orig.tar.xz -C tmp-source \
-	--exclude="hunspell/*" \
-	--exclude="hunspell" \
-	--exclude="debian/*" \
-	--exclude="debian" \
-	--exclude="include_win32/*" \
-	--exclude="include_win32" \
-	--exclude="qt_*.qm" \
-	--exclude="qt_*.ts" \
-	--exclude="utilities/dictionaries/*.aff" \
-	--exclude="utilities/dictionaries/*.dic" \
-	--exclude="utilities/dictionaries/th_*_v2.dat" \
-	--exclude="utilities/dictionaries/README_*.txt" \
-	--exclude="utilities/dictionaries/README_*.TXT" \
-	--exclude="utilities/TexTablet/*" \
-	--exclude="utilities/TexTablet" \
-	--exclude="utilities/poppler-data/*" \
-	--exclude="utilities/poppler-data" \
+	--exclude="texstudio$(UPSTREAM_VERSION)/debian" \
+	--exclude="texstudio$(UPSTREAM_VERSION)/hunspell" \
+	--exclude="texstudio$(UPSTREAM_VERSION)/include_win32" \
+	--exclude="texstudio$(UPSTREAM_VERSION)/include_win32_qt5" \
+	--exclude="texstudio$(UPSTREAM_VERSION)/qt_*.qm" \
+	--exclude="texstudio$(UPSTREAM_VERSION)/qt_*.ts" \
+	--exclude="texstudio$(UPSTREAM_VERSION)/utilities/dictionaries/*.aff" \
+	--exclude="texstudio$(UPSTREAM_VERSION)/utilities/dictionaries/*.dic" \
+	--exclude="texstudio$(UPSTREAM_VERSION)/utilities/dictionaries/th_*_v2.dat" \
+	--exclude="texstudio$(UPSTREAM_VERSION)/utilities/dictionaries/README_*.txt" \
+	--exclude="texstudio$(UPSTREAM_VERSION)/utilities/dictionaries/README_*.TXT" \
+	--exclude="texstudio$(UPSTREAM_VERSION)/utilities/TexTablet" \
+	--exclude="texstudio$(UPSTREAM_VERSION)/utilities/poppler-data" \
 	.
 	rm -rf tmp-source
 
@@ -66,10 +64,6 @@
 override_dh_install:
 	dh_install --fail-missing
 
-	# removing latex template images
-	# (not needed by the usermanual but installed with its images)
-	rm -f debian/texstudio/usr/share/doc/texstudio/html/*template_*.png
-
 override_dh_installchangelogs:
 	dh_installchangelogs utilities/CHANGELOG.txt

## texstudio 2.8.4+debian

=== quazip/CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,32 @@
 project (QuaZip)
 cmake_minimum_required(VERSION 2.6)
 
-set(qt_min_version "4.5.0")
-find_package(Qt4 REQUIRED)
-set(QT_USE_QTGUI false)
-include(${QT_USE_FILE})
+option(BUILD_WITH_QT4 "Build QuaZip with Qt4 no matter if Qt5 was found" OFF)
+
+if( NOT BUILD_WITH_QT4 )
+    # try Qt5 first, and prefer that if found
+    find_package(Qt5Core QUIET)
+endif()
+
+if (Qt5Core_FOUND)
+    set(QTCORE_LIBRARIES ${Qt5Core_LIBRARIES})
+    include_directories(${Qt5Core_INCLUDE_DIRS})
+
+    macro(qt_wrap_cpp)
+        qt5_wrap_cpp(${ARGN})
+    endmacro()
+else()
+    set(qt_min_version "4.5.0")
+    find_package(Qt4 REQUIRED)
+    set(QT_USE_QTGUI false)
+    include(${QT_USE_FILE})
+    include_directories(${QT_INCLUDES})
+    set(QTCORE_LIBRARIES ${QT_QTCORE_LIBRARY})
+
+    macro(qt_wrap_cpp)
+        qt4_wrap_cpp(${ARGN})
+    endmacro()
+endif()
 
 # Use system zlib on unix and Qt ZLIB on Windows
 IF(UNIX)

=== debian/changelog ===
texstudio (2.8.4+debian-3) unstable; urgency=medium

  * Adding 06-fix-silent-file-saving.patch in order to prevent data loss
    (Closes: #770721).

 -- Tom Jampen <tom@cryptography.ch>  Wed, 03 Dec 2014 14:05:12 +0200

texstudio (2.8.4+debian-2) unstable; urgency=medium

  * Updating to standards version 3.9.6, no changes needed.
  * Switching to default xz compression in source/options.
  * Adding needed Replaces and Breaks fields for texstudio-doc and
    texstudio-l10n in order to allow upgrading from wheezy due to splitting
    the texstudio binary package (Closes: #768158).

 -- Tom Jampen <tom@cryptography.ch>  Thu, 06 Nov 2014 14:39:02 +0100

texstudio (2.8.4+debian-1) unstable; urgency=medium

  * Merging upstream version 2.8.4+debian.
  * Regenerating 01-use-libhunspell.patch.
  * Updating 04-no-qt-translations.patch to also exclude qt_pl.qm.
  * Regenerating 05-use-libsynctex.patch.
  * Updating package description to include new polish translations.
  * Switching to default xz compression level in rules.
  * Rebuilding upstream tarball without:
    - conflicting debian directory
    - unused hunspell directory
    - unused include_win32 directory
    - unused include_win32_qt5 directory
    - unused qt translations
    - unused dictionary and thesaurus files
    - unused TexTablet directory
    - unused poppler-data directory

 -- Tom Jampen <tom@cryptography.ch>  Wed, 10 Sep 2014 07:36:27 +0200

texstudio (2.8.2+debian-1) unstable; urgency=medium

  * Merging upstream version 2.8.2+debian.
  * Regenerating 01-use-libhunspell.patch.
  * Updating 02-fix-desktop.patch.
  * Regenerating 03-disable-auto-update.patch.
  * Regenerating 04-no-qt-translations.patch.
  * Regenerating 05-use-libsynctex.patch.
  * Updating year in copyright file.
  * Removing texstudio.svg from install file, fixed upstream.
  * Rebuilding upstream tarball without:
    - conflicting debian directory
    - unused hunspell directory
    - unused include_win32 directory
    - unused include_win32_qt5 directory
    - unused qt translations
    - unused dictionary and thesaurus files
    - unused TexTablet directory
    - unused poppler-data directory

 -- Tom Jampen <tom@cryptography.ch>  Mon, 18 Aug 2014 06:45:11 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends:
  debhelper (>= 9), libhunspell-dev, libpoppler-qt4-dev, libsynctex-dev,
  pkg-config, qt4-qmake, zlib1g-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://texstudio.sf.net/
 
 Package: texstudio
@@ -40,6 +40,8 @@
 Section: doc
 Architecture: all
 Depends: ${misc:Depends}
+Replaces: texstudio (<< 2.7.0+debian-2)
+Breaks: texstudio (<< 2.7.0+debian-2)
 Description: LaTeX Editor (doc)
  TeXstudio is a program based on Texmaker, which integrates many tools needed
  to develop documents with LaTeX in just one application. Using its editor you
@@ -52,6 +54,8 @@
 Section: localization
 Architecture: all
 Depends: ${misc:Depends}, texstudio (>= ${source:Version})
+Replaces: texstudio (<< 2.7.0+debian-2)
+Breaks: texstudio (<< 2.7.0+debian-2)
 Description: LaTeX Editor (localization)
  TeXstudio is a program based on Texmaker, which integrates many tools needed
  to develop documents with LaTeX in just one application. Using its editor you
@@ -59,4 +63,4 @@
  highlighting, code completion and more...
  .
  This package contains the following translations: cs, de, es, fr, hu, it, ja,
- pt_BR, ru, uk, zh_CN.
+ pl, pt_BR, ru, uk, zh_CN.

## texstudio 2.8.8+debian

=== debian/changelog ===
texstudio (2.8.8+debian-1) unstable; urgency=medium

  * Merging upstream version 2.8.8+debian (Closes: #774084).
  * Updating 01-use-libhunspell.patch.
  * Regenerating 03-disable-auto-update.patch.
  * Regenerating 04-no-qt-translations.patch.
  * Regenerating 05-use-libsynctex.patch.
  * Regenerating 06-fix-silent-file-saving.patch.
  * Updating year in copyright file.
  * Removing doc-base registration for usermanual-fr, as the french
    version has been removed upstream.
  * Rebuilding upstream tarball without:
    - conflicting debian directory
    - unused hunspell directory
    - unused include_win32 directory
    - unused include_win32_qt5 directory
    - unused qt translations
    - unused dictionary and thesaurus files
    - unused TexTablet directory
    - unused poppler-data directory

 -- Tom Jampen <tom@cryptography.ch>  Wed, 29 Apr 2015 20:35:43 +0200

=== debian/rules ===
--- 
+++ 
@@ -56,7 +56,7 @@
 	rm -f debian/tmp/usr/share/texstudio/AUTHORS
 
 override_dh_builddeb:
-	dh_builddeb -- -Zxz -z9
+	dh_builddeb -- -Zxz
 
 override_dh_compress:
 	dh_compress -X.html -X.css -X.png

## texstudio 2.9.4+debian

=== debian/changelog ===
texstudio (2.9.4+debian-3) unstable; urgency=medium

  * Updating texstudio's svg dependency for qt5 (Closes: #786455).

 -- Tom Jampen <tom@cryptography.ch>  Tue, 26 May 2015 21:58:42 +0200

texstudio (2.9.4+debian-2) unstable; urgency=medium

  * Updating rules to select qt5 for building.
  * Updating build dependencies to build with qt5.

 -- Tom Jampen <tom@cryptography.ch>  Fri, 15 May 2015 19:31:22 +0200

texstudio (2.9.4+debian-1) unstable; urgency=medium

  * Merging upstream version 2.9.4+debian.
  * Regenerating 03-disable-auto-update.patch.
  * Removing 05-use-libsynctex.patch as TeXstudio includes a modified
    version of the synctex parser.
  * Removing libsynctex-dev from Build-Depends as TeXstudio includes a
    modified version of the synctex parser.
  * Removing 06-fix-silent-file-saving.patch, fixed upstream.
  * Adding 05-fix-mercurial-revision.patch in order to prevent TeXstudio's
    mercurial revision from being empty.
  * Updating year in copyright file.
  * Updating quazip's copyright information.
  * Rebuilding upstream tarball without:
    - conflicting debian directory
    - unused hunspell directory
    - unused include_win32 directory
    - unused include_win32_qt5 directory
    - unused qt translations
    - unused dictionary and thesaurus files
    - unused TexTablet directory
    - unused poppler-data directory

 -- Tom Jampen <tom@cryptography.ch>  Fri, 08 May 2015 06:42:01 +0200

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Priority: optional
 Maintainer: Tom Jampen <tom@cryptography.ch>
 Build-Depends:
- debhelper (>= 9), libhunspell-dev, libpoppler-qt4-dev, libsynctex-dev,
- pkg-config, qt4-qmake, zlib1g-dev
+ debhelper (>= 9), libhunspell-dev, libpoppler-qt5-dev, libqt5svg5-dev,
+ pkg-config, qt5-qmake, qtscript5-dev, qttools5-dev, zlib1g-dev
 Standards-Version: 3.9.6
 Homepage: http://texstudio.sf.net/
 
 Package: texstudio
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, libqt4-svg
+Depends: ${misc:Depends}, ${shlibs:Depends}, libqt5svg5
 Recommends:
  texlive-base, texlive-latex-base, texlive-latex-recommended, texstudio-doc,
  texstudio-l10n

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,7 @@
 #!/usr/bin/make -f
 
 export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed
+export QT_SELECT=qt5
 
 DEBIAN_DIR=$(dir $(firstword $(MAKEFILE_LIST)))
 UPSTREAM_VERSION=$(shell dpkg-parsechangelog -l$(DEBIAN_DIR)/changelog \

## texstudio 2.10.2+debian

=== debian/changelog ===
texstudio (2.10.2+debian-1) unstable; urgency=medium

  * Merging upstream version 2.10.2+debian.
  * Regenerating 01-use-libhunspell.patch.
  * Regenerating 04-no-qt-translations.patch.
  * Reordering patches.

 -- Tom Jampen <tom@cryptography.ch>  Tue, 22 Sep 2015 07:56:48 +0200

texstudio (2.10.0+debian-1) unstable; urgency=medium

  * Merging upstream version 2.10.0+debian.
  * Updating 01-use-libhunspell.patch.
  * Regenerating 03-disable-auto-update.patch.
  * Updating 04-no-qt-translations.patch.
  * Removing 05-fix-mercurial-revision.patch, included upstream.
  * Updating copyright file to match source code changes.
  * Updating rules file to reflect new changelog location.
  * Removing no longer used lintian-override.

 -- Tom Jampen <tom@cryptography.ch>  Sun, 13 Sep 2015 21:19:38 +0200

=== debian/rules ===
--- 
+++ 
@@ -66,7 +66,7 @@
 	dh_install --fail-missing
 
 override_dh_installchangelogs:
-	dh_installchangelogs utilities/CHANGELOG.txt
+	dh_installchangelogs utilities/manual/CHANGELOG.txt
 
 override_dh_strip:
 	dh_strip --dbg-package=texstudio-dbg

## texstudio 2.10.4+debian

=== debian/changelog ===
texstudio (2.10.4+debian-1) unstable; urgency=medium

  * Merging upstream version 2.10.4+debian.
  * Updating 01-use-libhunspell.patch.
  * Updating 02-no-qt-translations.patch.
  * Updating 04-disable-auto-update.patch.
  * Updating year in copyright file.

 -- Tom Jampen <tom@cryptography.ch>  Tue, 12 Jan 2016 22:44:10 +0100

## texstudio 2.10.6+debian

=== debian/changelog ===
texstudio (2.10.6+debian-1) unstable; urgency=medium

  * Merging upstream version 2.10.6+debian.
  * Updating 01-use-libhunspell.patch to only change hunspell related
    behavior.
  * Updating and renaming 02-no-qt-translations.patch in order to
    completely remove files from texstudio.pro deleted from the upstream
    tarball.
  * Updating 03-fix-desktop.patch.
  * Updating 04-disable-auto-update.patch to also disable the update level
    chooser and the "Check Now" button.
  * Updating get-orig-source target in rules file to handle unneeded files
    moved to a subdirectory within the upstream tarball.
  * Changing years in copyright file to reflect upstream changes.
  * Updating file locations in copyright file to reflect moved source
    code.
  * Mentioning additional translations in control file.
  * Rebuilding upstream tarball without:
    - conflicting debian directory
    - unused hunspell directory
    - unused pdfviewer/include_win32 directory
    - unused pdfviewer/include_win32_qt5 directory
    - unused qt translations
    - unused dictionary and thesaurus files
    - unused TexTablet directory
    - unused poppler-data directory

 -- Tom Jampen <tom@cryptography.ch>  Thu, 28 Jan 2016 13:23:54 +0100

## texstudio 2.10.8+debian

=== quazip/CMakeLists.txt ===
--- 
+++ 
@@ -10,6 +10,10 @@
 
 if (Qt5Core_FOUND)
     set(QTCORE_LIBRARIES ${Qt5Core_LIBRARIES})
+    # if there is no QT_ROOT, try to deduce it from Qt QtCore include
+    if ("${QT_ROOT}" STREQUAL "")
+        set(QT_ROOT ${QT_QTCORE_INCLUDE_DIR}/../..)
+    endif()    
     include_directories(${Qt5Core_INCLUDE_DIRS})
 
     macro(qt_wrap_cpp)

=== quazip/quazip/CMakeLists.txt ===
--- 
+++ 
@@ -5,16 +5,13 @@
 	${ZLIB_INCLUDE_DIRS}
 )
 
-# include with QT_USE selected library parts
-INCLUDE(${QT_USE_FILE})
-
 file(GLOB SRCS "*.c" "*.cpp")
 file(GLOB PUBLIC_HEADERS "*.h")
 
 # Must be added to enable export macro
 ADD_DEFINITIONS(-DQUAZIP_BUILD)
 
-qt4_wrap_cpp(MOC_SRCS ${PUBLIC_HEADERS})
+qt_wrap_cpp(MOC_SRCS ${PUBLIC_HEADERS})
 set(SRCS ${SRCS} ${MOC_SRCS})
 
 add_library(quazip SHARED ${SRCS})

=== debian/changelog ===
texstudio (2.10.8+debian-1) unstable; urgency=medium

  * Merging upstream version 2.10.8+debian.
  * Regenerating 01-use-libhunspell.patch.
  * Regenerating 02-removed-upstream-files.patch.
  * Regenerating 04-disable-auto-update.patch.
  * Updating copyright file to reflect upstream changes.

 -- Tom Jampen <tom@cryptography.ch>  Sat, 06 Feb 2016 21:26:19 +0100

=== debian/control ===
--- 
+++ 
@@ -62,5 +62,5 @@
  can write your documents with the help of interactive spell checking, syntax
  highlighting, code completion and more...
  .
- This package contains the following translations: cs, de, es, fr, hu, it, ja,
- pl, pt_BR, ru, uk, zh_CN.
+ This package contains the following translations: cs, de, el, es, fr, hu, it,
+ ja, pl, pt_BR, ru, uk, vi, zh_CN.

=== debian/rules ===
--- 
+++ 
@@ -20,8 +20,8 @@
 	tar cJf texstudio_$(UPSTREAM_VERSION)+debian.orig.tar.xz -C tmp-source \
 	--exclude="texstudio$(UPSTREAM_VERSION)/debian" \
 	--exclude="texstudio$(UPSTREAM_VERSION)/hunspell" \
-	--exclude="texstudio$(UPSTREAM_VERSION)/include_win32" \
-	--exclude="texstudio$(UPSTREAM_VERSION)/include_win32_qt5" \
+	--exclude="texstudio$(UPSTREAM_VERSION)/pdfviewer/include_win32" \
+	--exclude="texstudio$(UPSTREAM_VERSION)/pdfviewer/include_win32_qt5" \
 	--exclude="texstudio$(UPSTREAM_VERSION)/qt_*.qm" \
 	--exclude="texstudio$(UPSTREAM_VERSION)/qt_*.ts" \
 	--exclude="texstudio$(UPSTREAM_VERSION)/utilities/dictionaries/*.aff" \

## texstudio 2.11.0+debian

=== debian/changelog ===
texstudio (2.11.0+debian-1) unstable; urgency=medium

  * Merging upstream version 2.11.0+debian.
  * Updating get-orig-source target in rules to no longer include quazip.
  * Adding build dependency on libquazip5-dev.
  * Removing no longer included quazip from copyright file.
  * Adding new upstream folder libqmarkedscrollbar to copyright file.
  * Improving variable handling for disabling the TeXstudio crash handler
    and tests in rules.
  * Adding variable for building TeXstudio against Debian's libhunspell in
    rules.
  * Adding variable for building TeXstudio against Debian's libquazip in
    rules.
  * Enable hardening options in rules.
  * Removing 01-use-libhunspell.patch as upstream's build process now
    supports using Debian's libhunspell.
  * Regenerating 02-removed-upstream-files.patch.
  * Regenerating 04-disable-auto-update.patch.
  * Reordering patches.
  * Adding 04-quazip-qt5.patch in order to build against the qt5 version
    of libquazip.
  * Mentioning new translation (nl) in control file.
  * Updating to standards version 3.9.8, no changes needed.
  * Adding lintian-overrides in order to prevent false positives.
  * Rebuilding upstream tarball without:
    - conflicting debian directory
    - unused hunspell directory
    - unused pdfviewer/include_win32 directory
    - unused pdfviewer/include_win32_qt5 directory
    - unused qt translations
    - unused quazip directory
    - unused dictionary and thesaurus files
    - unused TexTablet directory
    - unused poppler-data directory

 -- Tom Jampen <tom@cryptography.ch>  Sun, 26 Jun 2016 11:53:55 +0200

## texstudio 2.11.2+debian

=== debian/changelog ===
texstudio (2.11.2+debian-1) unstable; urgency=medium

  * Merging upstream version 2.11.2+debian.
  * Regenerating 01-removed-upstream-files.patch.
  * Regenerating 04-quazip-qt5.patch.
  * Adding new upstream files flowlayout.* to copyright file.
  * Rebuilding upstream tarball without:
    - conflicting debian directory
    - unused hunspell directory
    - unused pdfviewer/include_win32 directory
    - unused pdfviewer/include_win32_qt5 directory
    - unused qt translations
    - unused quazip directory
    - unused dictionary and thesaurus files
    - unused TexTablet directory
    - unused poppler-data directory

 -- Tom Jampen <tom@cryptography.ch>  Sun, 23 Oct 2016 19:37:11 +0200

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Tom Jampen <tom@cryptography.ch>
 Build-Depends:
  debhelper (>= 9), libhunspell-dev, libpoppler-qt5-dev, libqt5svg5-dev,
- pkg-config, qt5-qmake, qtscript5-dev, qttools5-dev, zlib1g-dev
-Standards-Version: 3.9.6
+ libquazip5-dev, pkg-config, qt5-qmake, qtscript5-dev, qttools5-dev, zlib1g-dev
+Standards-Version: 3.9.8
 Homepage: http://texstudio.sf.net/
 
 Package: texstudio
@@ -63,4 +63,4 @@
  highlighting, code completion and more...
  .
  This package contains the following translations: cs, de, el, es, fr, hu, it,
- ja, pl, pt_BR, ru, uk, vi, zh_CN.
+ ja, nl, pl, pt_BR, ru, uk, vi, zh_CN.

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,6 @@
 #!/usr/bin/make -f
 
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed
 export QT_SELECT=qt5
 
@@ -24,6 +25,7 @@
 	--exclude="texstudio$(UPSTREAM_VERSION)/pdfviewer/include_win32_qt5" \
 	--exclude="texstudio$(UPSTREAM_VERSION)/qt_*.qm" \
 	--exclude="texstudio$(UPSTREAM_VERSION)/qt_*.ts" \
+	--exclude="texstudio$(UPSTREAM_VERSION)/quazip" \
 	--exclude="texstudio$(UPSTREAM_VERSION)/utilities/dictionaries/*.aff" \
 	--exclude="texstudio$(UPSTREAM_VERSION)/utilities/dictionaries/*.dic" \
 	--exclude="texstudio$(UPSTREAM_VERSION)/utilities/dictionaries/th_*_v2.dat" \
@@ -35,7 +37,7 @@
 	rm -rf tmp-source
 
 override_dh_auto_configure:
-	dh_auto_configure -- DEFINES+='NO_TESTS NO_CRASH_HANDLER'
+	dh_auto_configure -- NO_TESTS=1 NO_CRASH_HANDLER=1 USE_SYSTEM_HUNSPELL=1 USE_SYSTEM_QUAZIP=1
 
 override_dh_auto_install:
 	dh_auto_install

## texstudio 2.12.6+debian

=== debian/changelog ===
texstudio (2.12.6+debian-2) unstable; urgency=medium

  * Updating 04-quazip-qt5.patch in order to specify the correct path for
    quazip5 in texstudio.pro (Closes: #886572).
  * Updating to standards version 4.1.3.

 -- Tom Jampen <tom@cryptography.ch>  Mon, 08 Jan 2018 22:27:36 +0100

texstudio (2.12.6+debian-1) unstable; urgency=medium

  * Merging upstream version 2.12.6+debian.
  * Updating 01-removed-upstream-files.patch.
  * Regenerating 03-disable-auto-update.patch.
  * Regenerating 04-quazip-qt5.patch.
  * Adding new upstream files minisplitter.* to copyright file.
  * Updating years in copyright file.
  * Moving from http:// to https:// url in copyright file.
  * Updating to standards version 4.1.0.
  * Moving from -dbg package to automatically created -dbgsym packages.
  * Adding Multi-Arch field in control file according to the multiarch hinter.
  * Mentioning new translations (fa, tr_TR) in control file.
  * Adding 05-update-appdata-file.patch for updating texstudio.appdata.xml
    to the latest format specified by freedesktop.org.
  * Fixing installation location of texstudio.appdata.xml
    (/usr/share/metainfo instead of /usr/share/appdata).
  * Updating texstudio.install to install /usr/share/metainfo.
  * Rebuilding upstream tarball without:
    - conflicting debian directory
    - unused hunspell directory
    - unused pdfviewer/include_win32 directory
    - unused pdfviewer/include_win32_qt5 directory
    - unused qt translations
    - unused quazip directory
    - unused dictionary and thesaurus files
    - unused TexTablet directory
    - unused poppler-data directory

 -- Tom Jampen <tom@cryptography.ch>  Tue, 26 Sep 2017 17:08:16 +0200

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Tom Jampen <tom@cryptography.ch>
 Build-Depends:
- debhelper (>= 9), libhunspell-dev, libpoppler-qt5-dev, libqt5svg5-dev,
+ debhelper (>= 9.20160114), libhunspell-dev, libpoppler-qt5-dev, libqt5svg5-dev,
  libquazip5-dev, pkg-config, qt5-qmake, qtscript5-dev, qttools5-dev, zlib1g-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 Homepage: http://texstudio.sf.net/
 
 Package: texstudio
@@ -23,22 +23,10 @@
  can write your documents with the help of interactive spell checking, syntax
  highlighting, code completion and more...
 
-Package: texstudio-dbg
-Section: debug
-Priority: extra
-Architecture: any
-Depends: ${misc:Depends}, texstudio (= ${binary:Version})
-Description: LaTeX Editor (debug)
- TeXstudio is a program based on Texmaker, which integrates many tools needed
- to develop documents with LaTeX in just one application. Using its editor you
- can write your documents with the help of interactive spell checking, syntax
- highlighting, code completion and more...
- .
- This package contains the debugging symbols.
-
 Package: texstudio-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Replaces: texstudio (<< 2.7.0+debian-2)
 Breaks: texstudio (<< 2.7.0+debian-2)
@@ -62,5 +50,5 @@
  can write your documents with the help of interactive spell checking, syntax
  highlighting, code completion and more...
  .
- This package contains the following translations: cs, de, el, es, fr, hu, it,
- ja, nl, pl, pt_BR, ru, uk, vi, zh_CN.
+ This package contains the following translations: cs, de, el, es, fa, fr, hu,
+ it, ja, nl, pl, pt_BR, ru, tr_TR, uk, vi, zh_CN.

=== debian/rules ===
--- 
+++ 
@@ -58,6 +58,11 @@
 	rm -f debian/tmp/usr/share/texstudio/COPYING
 	rm -f debian/tmp/usr/share/texstudio/AUTHORS
 
+	# moving texstudio.appdata.xml file
+	mkdir -p debian/tmp/usr/share/metainfo
+	mv -f debian/tmp/usr/share/appdata/texstudio.appdata.xml \
+	debian/tmp/usr/share/metainfo
+
 override_dh_builddeb:
 	dh_builddeb -- -Zxz
 
@@ -71,4 +76,4 @@
 	dh_installchangelogs utilities/manual/CHANGELOG.txt
 
 override_dh_strip:
-	dh_strip --dbg-package=texstudio-dbg
+	dh_strip --dbgsym-migration='texstudio-dbg (<< 2.12.6-1~)'
